## org.eclipse.uml2.uml.util
Class UMLUtil.PackageMerger.StringValueMatcher

    java.lang.Object
      org.eclipse.uml2.common.util.UML2Util.EClassMatcher
          org.eclipse.uml2.uml.util.UMLUtil.PackageMerger.StringValueMatcher

All Implemented Interfaces:
  UML2Util.EObjectMatcher

Enclosing class:
  UMLUtil.PackageMerger

    protected class UMLUtil.PackageMerger.StringValueMatcher

extends UML2Util.EClassMatcher

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.UML2Util.EClassMatcher
`eObject`

Constructor Summary
`protected` `UMLUtil.PackageMerger.StringValueMatcher(ValueSpecification valueSpecification)`

Method Summary
`boolean` `matches(org.eclipse.emf.ecore.EObject otherEObject)` Determines whether the specified object matches some criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLUtil.PackageMerger.StringValueMatcher

    protected UMLUtil.PackageMerger.StringValueMatcher(ValueSpecification valueSpecification)

Method Detail

### matches

    public boolean matches(org.eclipse.emf.ecore.EObject otherEObject)

  Description copied from interface: `UML2Util.EObjectMatcher`
  Determines whether the specified object matches some criteria.

  Specified by:
    `matches` in interface `UML2Util.EObjectMatcher`
  Overrides:
    `matches` in class `UML2Util.EClassMatcher`
  Parameters:
    `otherEObject` - The candidate object.
  Returns:
    `true` if the object meets the criteria; `false` otherwise.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.